import request from '@/utils/request'

// 查询活动记录列表
export function listActivitylog(query) {
  return request({
    url: '/community/activitylog/list',
    method: 'get',
    params: query
  })
}

// 查询活动记录详细
export function getActivitylog(activityLogId) {
  return request({
    url: '/community/activitylog/' + activityLogId,
    method: 'get'
  })
}

// 新增活动记录
export function addActivitylog(data) {
  return request({
    url: '/community/activitylog',
    method: 'post',
    data: data
  })
}

// 修改活动记录
export function updateActivitylog(data) {
  return request({
    url: '/community/activitylog',
    method: 'put',
    data: data
  })
}

// 删除活动记录
export function delActivitylog(activityLogId) {
  return request({
    url: '/community/activitylog/' + activityLogId,
    method: 'delete'
  })
}

// 审核
export function reviewActivity(data) {
  return request({
    url: '/community/activitylog/review',
    method: 'post',
    data: data
  })
}

// 活动记录导出
export function activityExport(data) {
  return request({
    url: '/community/activitylog/export',
    method: 'post',
    data: data
  })
}