import request from '@/utils/request'

// 查询住宅管理列表
export function listHouse(query) {
  return request({
    url: '/community/house/list',
    method: 'get',
    params: query
  })
}

// 查询住宅管理详细
export function getHouse(houseId) {
  return request({
    url: '/community/house/' + houseId,
    method: 'get'
  })
}

// 新增住宅管理
export function addHouse(data) {
  return request({
    url: '/community/house',
    method: 'post',
    data: data
  })
}

// 修改住宅管理
export function updateHouse(data) {
  return request({
    url: '/community/house',
    method: 'put',
    data: data
  })
}

// 删除住宅管理
export function delHouse(houseId) {
  return request({
    url: '/community/house/' + houseId,
    method: 'delete'
  })
}
