import request from '@/utils/request'

// 查询活动照片列表
export function listPhoto(query) {
  return request({
    url: '/community/photo/list',
    method: 'get',
    params: query
  })
}

// 查询活动照片详细
export function getPhoto(activityPhotoId) {
  return request({
    url: '/community/photo/' + activityPhotoId,
    method: 'get'
  })
}

// 新增活动照片
export function addPhoto(data) {
  return request({
    url: '/community/photo',
    method: 'post',
    data: data
  })
}

// 修改活动照片
export function updatePhoto(data) {
  return request({
    url: '/community/photo',
    method: 'put',
    data: data
  })
}

// 删除活动照片
export function delPhoto(activityPhotoId) {
  return request({
    url: '/community/photo/' + activityPhotoId,
    method: 'delete'
  })
}
