import request from '@/utils/request'

// 查询招募信息列表
export function listRecruit(query) {
  return request({
    url: '/community/recruit/list',
    method: 'get',
    params: query
  })
}

// 查询招募信息详细
export function getRecruit(recruitId) {
  return request({
    url: '/community/recruit/' + recruitId,
    method: 'get'
  })
}

// 新增招募信息
export function addRecruit(data) {
  return request({
    url: '/community/recruit',
    method: 'post',
    data: data
  })
}

// 修改招募信息
export function updateRecruit(data) {
  return request({
    url: '/community/recruit',
    method: 'put',
    data: data
  })
}

// 删除招募信息
export function delRecruit(recruitId) {
  return request({
    url: '/community/recruit/' + recruitId,
    method: 'delete'
  })
}
