import request from '@/utils/request'

// 查询审核申请列表
export function listReq(query) {
  return request({
    url: '/community/req/list',
    method: 'get',
    params: query
  })
}

// 查询审核申请详细
export function getReq(residentReqId) {
  return request({
    url: '/community/req/' + residentReqId,
    method: 'get'
  })
}

// 新增审核申请
export function addReq(data) {
  return request({
    url: '/community/req',
    method: 'post',
    data: data
  })
}

// 修改审核申请
export function updateReq(data) {
  return request({
    url: '/community/req',
    method: 'put',
    data: data
  })
}

// 删除审核申请
export function delReq(residentReqId) {
  return request({
    url: '/community/req/' + residentReqId,
    method: 'delete'
  })
}

// 审核 驳回
export function review(data) {
  return request({
    url: '/community/req/review',
    method: 'post',
    data
  })
}

